Subject: [alpine-aports] [PATCH] testing/ruby-bcrypt: new aport

From: Brad Murray <[email-masked]>
Date: Sun, 8 Mar 2015 01:46:27 +0000

Ruby gem wrapper for the OpenBSD bcrypt library for safely handling passwords
https://github.com/codahale/bcrypt-ruby
---
 testing/ruby-bcrypt/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/ruby-bcrypt/APKBUILD

diff --git a/testing/ruby-bcrypt/APKBUILD b/testing/ruby-bcrypt/APKBUILD
new file mode 100644
index 0000000..de7dcfa
--- /dev/null
+++ b/testing/ruby-bcrypt/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Brad Murray <[email-masked]>
+# Maintainer:
+_gemname=bcrypt
+pkgname=ruby-bcrypt
+pkgver=3.1.10
+pkgrel=0
+pkgdesc="bcrypt is a sophisticated and secure hash algorithm designed by The OpenBSD project for hashing 
+passwords."
+url="https://github.com/codahale/bcrypt-ruby"
+arch="all"
+license="MIT"
+depends="ruby"
+depends_dev="ruby-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_gemname-$pkgver
+build() {
+  return 0
+}
+
+package() {
+  local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+  local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+  mkdir -p "$pkgdir" || return 1
+
+  gem install --local --install-dir "$pkgdir"/$_gemdir \
+    --ignore-dependencies --verbose --no-rdoc --no-ri \
+    "$srcdir"/$_gemname-$pkgver.gem -- --use-system-libraries || \
+    return 1
+  rm -rf "$pkgdir"/$_gemdir/cache \
+    "$pkgdir"/$_geminstdir/ext \
+    "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="10521932110c607df4536136b92809e2  bcrypt-3.1.10.gem"
+sha256sums="86d25b7eaec3db734bf681aa0e3d58e121766d75c849113aeb602549ff3f8e95  bcrypt-3.1.10.gem"
+sha512sums="11e7a1ea28c53d22354abd3891b88c5f58bd8c18611a2964db69e56e5f9b819e5af184423fbd7fb2ebd1fb84b1618fbd043f0bfd62902515a07427846bef607a  bcrypt-3.1.10.gem"
-- 
2.3.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---